# 常见问题解答

- ***我是否必须通过增加克重来平衡 iSpindle ?***  
将螺母、铅球等重物添加到底部，直到与垂直方向倾斜 25° ，是使 iSpindle 功能正常运行必不可少的条件。另见文档里的示例图片，一般 20g 左右就够了，+/- 5° 偏差通常仍然使可以接受的。如果太接近 30 度，在高比重测量时就会太接近 90 度（你的初始比重将不准确）；如果太接近 15 度，在低比重测量时就会太接近 0 度（你将无法读取低于 0.95 的比重值）。

- ***它没有在运行, 我看不到任何反应***  
找出 iSpindle 正在发生什么的最好方法是读取其日志，这可以通过像 HTerm 或 Arduino IDE 这样的串行监视器来完成。通过 Micro USB 连接设备，然后用上面的串口监视器打开 £COM 端口并读取它。设置波特率为 `115200` ，将给黑暗带来光明。

  这里有一个油管上的教程 (德语): https://youtu.be/6xDW5GbIbUw

- ***如何进入 iSpindel 设置模式入口***  
打开设备, 按复位键 3-4 次，建立一个接入点。这就意味着你将看到一个新的 Wif i网络 "iSpindel_######" ，你可以用你的电脑、智能手机或平板电脑进行连接。网页浏览器应该会自动将您重定向到页面 [http://192.168.4.1](http://192.168.4.1)， 如果不是，请自行导航到那里。
如果你在设置模式的界面, 在 `配置` 一项里可以输入你的密钥和无线密码。然后点击 `保存` ，接着它会把数据上传到 Ubidots。这意味着 **正常操作下无法访问 iSpindel **，直到你再次手动启动设置模式。

- ***为什么我无法在正常操作中访问 iSpindle***  
电池寿命的关键部分是 iSpindle 处于活动状态的时间越短越好，并且要尽可能长时间处于深度睡眠状态！主动运行的 Wemos 需要超过 300 倍的电量，所以这个技巧对于实现目标运行时间是必不可少的。

- ***Micro USB 端口是用于程序更新？***
没错，请参阅固件更新

- ***我如何校准电压显示？***
从固件 3.0 开始，你可以调整转换系数。默认情况下的使用因子是 191.8，可以通过下面的公式进行调整:
````
(displayed voltage / measured voltage) * current factor (191.8) = new factor

新的系数应介于当前系数之间，或多或少约为20% (191.8*0.8 - 191.8*1.2)
````
- ***我可以在不锈钢容器里连接上吗？信号是否有可能穿透法拉第牢笼？***
为了达到足够的 WLAN 信号强度，你可以做以下事情:

  - 打开法拉第笼，将盖子从桶身电性分离开来，通过在两部分之间涂抹硅酮密封剂来实现。
  - 使用外部天线，从两端剥去的屏蔽电缆（即 Lambda/4），并让另一端朝向桶内，正好3.2毫米。这是从内部被动传递到外部，反之亦然。一个很好的例子可以在这里找到：http://hobbybrauer.de/forum/viewtopic.php?p=208782#p208782
  - 在桶旁边安装一个 wifi 放大器以增加信号强度

-  ***如果我在刷入固件后 iSpindel 无法正常工作，我该怎么办?***

由于不明的原因，有时看起来 iSpindel 刷入过程非常顺利。但实际上并不是的，这可能导致各种不可预测的状况。
状况的发生可能是但不限于以下几种:
-	Wemos 的蓝色 LED 灯一直常亮
-	部分配置未被保存，如倾角偏移

解决这个问题的办法是，在给 iSpindel 刷入固件之前，先初始化 wemos 的内存（就像你在使用一个新的硬盘之前对它进行格式化一样）。

以下是如何使用 NODEMUCU FIRMWARE PROGRAMMER 进行操作

初始化：

在 Config 项
````
		1st column		2nd column
1st Line:	INTERNAL://NODEMCU	0x00000
2nd Line:	INTERNAL://BLANK	0x01000
````
在 Advanced 项
设置 Baudrate 为 115200

在 Operation 项
点击 Flash(E)，然后等待固件刷入完成

要和 iSpindel 的固件一同刷入：

在 Config 项
````
		1st column		2nd column
1st Line: 	C:\iSpindel-6.0.6.bin 	0x00000
````
替代 “C:\iSpindel-6.0.6.bin” 到你下载固件文件的路径，确保清除掉 Config 项里面的所有其它行，只有固件路径前面的复选框被选中。

在 Advanced 项
设置 Baudrate 为 115200

在 Operation 项
点击 Flash(E)，然后等待固件刷入完成

现在它应该可以正常工作了。

来源: https://www.homebrewtalk.com/forum/threads/ispindle-diy-electronic-hydrometer.598187/page-19#post-8366882

-  ***改进过后仍有问题***
这些是 "经常建议的改进"，其问题在一开始并不明显；勇于尝试，但要时刻关注问题的出现：

1. "让我们把它密封起来，并使用无线充电!"
   
  a) Qi 充电器比瓶胚大，所以需要被弯曲。部分这样做会导致充电过热或着火，另一些可以正常工作但对 Qi 充电板的位置会 *非常* 挑剔。
    有些感应式充电器能放在盖子里面 [不是 Qi] (例如: https://amzn.to/3wslaLO , 但还没有尝试过)。
    *试试看，但要注意热量！*

  b) 瓶胚的密封是在顶层内部, 酵母和细菌会进入 "螺纹区域" ，无法清洗掉。现在的建议是将瓶盖取下来，分别对盖子和瓶胚进行清洗、消毒。

2. 主发酵期产生的二氧化碳不会影响读数吗？
  商业版本的机器肯定也会有的。如果你认为它过早地沉淀下来，摇晃并搅拌你的麦汁，看看会发生什么。
  
3. iSpindel 能否用于加压发酵罐？
  你可以试试... 常规的瓶胚密封是 "在里面" 的，这样随着内部压力的增加，它的密封性能会更好 (苏打被碳酸化)，这是一个错误的方向，但是螺纹的确可以密封，所以...
